- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/update#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/update#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/update#body.aspect)
- [Try it!](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs/update#try-it)

Updates a send-as alias. If a signature is provided, Gmail will sanitize the HTML before saving it with the alias. For more information, see [Manage aliases and signatures with the Gmail API](https://developers.google.com/workspace/gmail/api/guides/alias_and_signature_settings).

Addresses other than the primary address for the account can only be updated by service account clients that have been delegated domain-wide authority.

### HTTP request

`PUT https://gmail.googleapis.com/gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` User's email address. The special value "me" can be used to indicate the authenticated user. |
| `sendAsEmail` | `string` The send-as alias to be updated. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs#SendAs`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.sendAs#SendAs`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/gmail.settings.basic`
- `
  https://www.googleapis.com/auth/gmail.settings.sharing`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).